## org.eclipse.jet.taglib
Interface TagLibrary

    public interface TagLibrary

Provide access to the tags in a tag library.

This interface is not intended to be implemented by clients.

Method Summary
`java.lang.String` `getDefaultPrefix()`
`java.lang.String` `getDescription()`
`java.lang.String` `getLibraryId()` Return the string identifier of the tag library.
`java.lang.String` `getLibraryName()`
`TagDefinition` `getTagDefinition(java.lang.String name)` Return the `TagDefinition` for the named tag.
`java.lang.String[]` `getTagNames()` Return a sort array of tags in the library
`boolean` `hasTag(java.lang.String tagNCName)` Test if the named tag is in the tag library.
`boolean` `isDeprecated()` Test if the tag library has been deprecated.

Method Detail

### getLibraryId

    java.lang.String getLibraryId()

  Return the string identifier of the tag library.

  Returns:
    the tag library id

### getLibraryName

    java.lang.String getLibraryName()

### getDefaultPrefix

    java.lang.String getDefaultPrefix()

### getDescription

    java.lang.String getDescription()

### getTagDefinition

    TagDefinition getTagDefinition(java.lang.String name)

  Return the `TagDefinition` for the named tag.

  Parameters:
    `name` - the name of a tag in the tag library.
  Returns:
    the definitions or `null` if the named tag is in the library
  Throws:
    `java.lang.NullPointerException` - if `name` is null.

### getTagNames

    java.lang.String[] getTagNames()

  Return a sort array of tags in the library

  Returns:
    an array of Strings; an empty array is returned if the library has no tags.

### hasTag

    boolean hasTag(java.lang.String tagNCName)

  Test if the named tag is in the tag library.

  Parameters:
    `tagNCName` -
  Returns:
    if the tag is defined by the library

### isDeprecated

    boolean isDeprecated()

  Test if the tag library has been deprecated.

  Returns:
    `true` if the library has been deprecated, `false` otherwise.

Copyright 2006 IBM Corporation and others. All Rights Reserved.